Return status

POST /openapi/Return/GetReturnCodeStatus — TMS API · Return

Returns the consignment information and status history of return codes. The response structure is the same as the consignment item in the GetConsignmentInfo response. The identity is resolved from the token.

İstek gövdesi

  • clientCode (string): Deprecated: obtained from identity token.
  • accountCode (string): Deprecated: obtained from identity token.
  • returnCodes (object[], zorunlu): Return codes to query.
    • returnCodes.returnCode (string): Return code.
    • returnCodes.orderNumber (string): Order number.
    • returnCodes.locationCode (string): Location code.

Yanıtlar

  • 200: Return consignments
  • 400: Return not found or validation error
  • 401: No token/invalid or token does not contain account information

200 yanıt alanları

  • carrier (string): Carrier name.
  • otpCode (string): Pickup code for delivery point consignments.
  • shipments (object[]): Carrier consignments linked to the consignment.
    • shipments.price (number): Customer price.
    • shipments.carrier (string): Carrier name.
    • shipments.parcels (object[]): Packages.
      • shipments.parcels.lines (object[]): Order lines in the package.
      • shipments.parcels.isShipped (boolean): Whether the package was dispatched.
      • shipments.parcels.lastStatus (object)
      • shipments.parcels.customerSpecificCode (string): Package number.
      • shipments.parcels.customerShipmentNumber (string): Your dispatch/delivery note number.
    • shipments.lastStatus (object)
      • shipments.lastStatus.status (string): TMS status description.
      • shipments.lastStatus.statusCode (string): TMS status code.
      • shipments.lastStatus.statusDate (string<date-time>): Status time.
      • shipments.lastStatus.carrierStatus (string): Carrier status description.
      • shipments.lastStatus.carrierStatusCode (string): Carrier status code.
    • shipments.returnCode (string): Return code (in return consignments).
    • shipments.carrierCode (string): Carrier code.
    • shipments.carrierCost (number): Carrier cost.
    • shipments.deliveryType (string): Delivery type name.
    • shipments.locationCode (string): Origin location code.
    • shipments.trackingLink (string): Tracking link.
    • shipments.trackingNumber (string): Tracking number.
    • shipments.statusHistories (object[]): Status history (oldest to newest).
      • shipments.statusHistories.status (string): TMS status description.
      • shipments.statusHistories.statusCode (string): TMS status code.
      • shipments.statusHistories.statusDate (string<date-time>): Status time.
      • shipments.statusHistories.carrierStatus (string): Carrier status description.
      • shipments.statusHistories.carrierStatusCode (string): Carrier status code.
    • shipments.deliveryDuration (integer): Estimated delivery time (days).
    • shipments.deliverySlotType (string): Delivery time slot name.
    • shipments.deliveryTypeCode (string): Delivery type code.
    • shipments.volumetricWeight (number): Declared volume.
    • shipments.deliverySlotTypeCode (string): Delivery time slot code.
    • shipments.estimatedDeliveryTime (string<date-time>): Estimated delivery time.
    • shipments.estimatedShippingTime (string<date-time>): Estimated shipping time.
    • shipments.carrierVolumetricWeight (number): Carrier measured volume.
  • carrierCode (string): Carrier code.
  • locationCode (string): Origin location code.
  • consignmentNumber (string): Consignment number.
  • consignmentStatus (object)
    • consignmentStatus.status (string): TMS status description.
    • consignmentStatus.statusCode (string): TMS status code.
    • consignmentStatus.statusDate (string<date-time>): Status time.
    • consignmentStatus.carrierStatus (string): Carrier status description.
    • consignmentStatus.carrierStatusCode (string): Carrier status code.